/***************************************************************************
 $RCSfile: processwatcher.h,v $
                             -------------------
    cvs         : $Id: processwatcher.h,v 1.3 2005/01/25 10:07:33 cstim Exp $
    begin       : Mon Mar 01 2004
    copyright   : (C) 2004 by Martin Preuss
    email       : martin@libchipcard.de

 ***************************************************************************
 *          Please see toplevel file COPYING for license details           *
 ***************************************************************************/

#ifndef AQBANKING_KDE_PROCWATCHER_H
#define AQBANKING_KDE_PROCWATCHER_H


#include "processwatcher.ui.h"

#include <qstring.h>
#include <time.h>

class QProcess;


class ProcessWatcher : public ProcessWatcherUi{
  Q_OBJECT
public:
  ProcessWatcher(QProcess* process,
                 const QString &text=QString::null,
                 QWidget* parent=0,
                 const char* name=0,
                 bool modal=FALSE,
                 WFlags fl=0 );
  ~ProcessWatcher();

  void accept();

  int getStatus() const;

  int getDuration() const;

public slots:
  void slotTerminate();
  void slotKill();
  void slotProcessFinished();

private:
  QProcess *_process;
  int _result;
  bool _closeEnabled;
  time_t _startTime;
  int _duration;
};




#endif // AQBANKING_KDE_PROCWATCHER_H

