/***************************************************************************
 $RCSfile: simplebox.cpp,v $
                             -------------------
    cvs         : $Id: simplebox.cpp,v 1.1.1.1 2005/02/19 13:35:18 aquamaniac Exp $
    begin       : Mon Mar 01 2004
    copyright   : (C) 2004 by Martin Preuss
    email       : martin@libchipcard.de

 ***************************************************************************
 *          Please see toplevel file COPYING for license details           *
 ***************************************************************************/

#ifdef HAVE_CONFIG_H
# include <config.h>
#endif


#include <qlabel.h>
#include <qlayout.h>

#include "simplebox.h"



KBSimpleBox::KBSimpleBox(GWEN_TYPE_UINT32 id,
                         const QString& title,
                         const QString& text,
                         QWidget* parent, const char* name, WFlags fl)
:KBSimpleBoxUi(parent, name, fl), _id(id) {
  if (!title.isEmpty())
    setCaption(title);
  if (!text.isEmpty())
    textWidget->setText(text);

  QLayout *lo=layout();
  if (lo) {
    QSize csi;
    QSize nsi;

    csi=size();
    nsi=lo->sizeHint();
    if (csi.width()>nsi.width())
      nsi.setWidth(csi.width());
    if (csi.height()>nsi.height())
      nsi.setWidth(csi.height());
    resize(nsi);
  }

}



KBSimpleBox::~KBSimpleBox(){
}



GWEN_TYPE_UINT32 KBSimpleBox::getId(){
  return _id;
}






